Get a work skill group
/rest/ofscMetadata/v1/workSkillGroups/{label}
This operation retrieves the specified work skill group.
The response contains the translations of the work skill group name in the user's language in the translation structure and in the entity fields.
Request
-
label(required): string
Minimum Length:
1Maximum Length:40The label of the work skill group.
Response
- application/json
- application/schema+json
200 Response
objectWork Skill Group-
active(required):
boolean
Title:
ActiveContains one of the following values: true or false.
If true, then the work skill group is active. If false, then the work skill group is inactive. By default, it is true.
Note: It is present for all work skill groups.
-
addToCapacityCategory(required):
boolean
Title:
Add to Capacity CategoryContains one of the following values: true or false.
If true, then the work skill group is added to the capacity category. By default, it is true.
Note: This field is present for all work skill groups.
-
assignToResource(required):
boolean
Title:
Assign to ResourceContains one of the following values: true or false.
If true, then the work skill group is assigned to the resource. By default, it is true.
Note: This field is present for all work skill groups.
-
label:
string
Title:
LabelMinimum Length:1Maximum Length:40The label of the work skill group. -
name:
string
Title:
NameMinimum Length:1Maximum Length:5000The name of the work skill group in the user's language. -
translations(required):
array Translations
Title:
TranslationsThe array of translation objects associated with the work skill group. -
workSkills:
array Work Skills
Title:
Work SkillsThe array of work skill objects associated with the work skill group.
arrayTranslationsarrayWork Skillsobject-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
object-
label(required):
string
The label of the work skill object.
-
ratio(required):
integer
Minimum Value:
1Maximum Value:100The ratio used to assign the work skill group to a resource.
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get a specific work skill group by submitting a GET request on the REST resource.
Example of Request Header
The following shows an example of the request header.
GET /rest/ofscMetadata/v1/workSkillGroups/ws_group_1 HTTP/1.0 Host: <instance_name>.fs.ocs.oraclecloud.com Authorization: Basic c29hcEBwZXRyb2xpYXNoZXZ5Y2gucmVzdDox Accept: */*
Example of Response Header
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx/1.6.2 Date: Fri, 24 Jul 2015 08:54:08 GMT Content-Type: application/json; charset=utf-8 Transfer-Encoding: chunked Connection: keep-alive
Example of Response Body
The following example shows the contents of the response body in JSON format.
{
"label":"ws_group_1",
"name":"Work skill group 1",
"active":true,
"assignToResource":true,
"addToCapacityCategory":true,
"translations":[
{
"language":"en",
"name":"Work skill group 1"
},
"language":"es",
"name":"Work skill group 1"
}
},
"workSkills":[
{
"label":"NP",
"ratio":10
},
{
"label":"UP",
"ratio":100
}
],
"links":[
{
"rel":"canonical",
"href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/workSkillGroups/ws_group_1"
},
{
"rel":"describedby",
"href":"https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/workSkillGroups"
}
]
}